{
  "Configs": [
    {
      "Id": "1044ca7acca64487b21854ad50c9a735",
      "server": "server host",
      "Server_Port": 8388,
      "Server_Udp_Port": 0,
      "Password": "0",
      "Method": "aes-256-cfb",
      "Protocol": "origin",
      "ProtocolParam": "",
      "obfs": "plain",
      "ObfsParam": "",
      "Remarks_Base64": "",
      "Group": "Default Group",
      "SubTag": "",
      "Enable": true,
      "UdpOverTcp": false
    }
  ],
  "Index": 0,
  "Random": false,
  "SysProxyMode": 0,
  "ShareOverLan": false,
  "LocalPort": 1080,
  "ReconnectTimes": 2,
  "BalanceType": 4,
  "RandomInGroup": true,
  "Ttl": 60,
  "ConnectTimeout": 5,
  "ProxyRuleMode": 0,
  "ProxyEnable": false,
  "PacDirectGoProxy": false,
  "ProxyType": 0,
  "ProxyHost": "",
  "ProxyPort": 1,
  "ProxyAuthUser": "",
  "ProxyAuthPass": "",
  "ProxyUserAgent": "",
  "AuthUser": "",
  "AuthPass": "",
  "AutoBan": false,
  "CheckSwitchAutoCloseAll": true,
  "LogEnable": true,
  "SameHostForSameTarget": true,
  "IsPreRelease": false,
  "AutoCheckUpdate": true,
  "LangName": "",
  "DnsClients": [
    {
      "Enable": true,
      "DnsType": 1,
      "Ipv6First": false,
      "DnsServer": "dns.rubyfish.cn",
      "Port": 853,
      "Timeout": 10000,
      "IsEDnsEnabled": false,
      "EcsIp": "8.8.8.8",
      "EcsSourceNetmask": 32,
      "EcsScopeNetmask": 0,
      "IsTcpEnabled": true,
      "IsUdpEnabled": true
    },
    {
      "Enable": true,
      "DnsType": 1,
      "Ipv6First": false,
      "DnsServer": "dns.alidns.com",
      "Port": 853,
      "Timeout": 10000,
      "IsEDnsEnabled": false,
      "EcsIp": "8.8.8.8",
      "EcsSourceNetmask": 32,
      "EcsScopeNetmask": 0,
      "IsTcpEnabled": true,
      "IsUdpEnabled": true
    },
    {
      "Enable": true,
      "DnsType": 1,
      "Ipv6First": false,
      "DnsServer": "dns.pub",
      "Port": 853,
      "Timeout": 10000,
      "IsEDnsEnabled": false,
      "EcsIp": "8.8.8.8",
      "EcsSourceNetmask": 32,
      "EcsScopeNetmask": 0,
      "IsTcpEnabled": true,
      "IsUdpEnabled": true
    },
    {
      "Enable": true,
      "DnsType": 0,
      "Ipv6First": false,
      "DnsServer": "223.5.5.5",
      "Port": 53,
      "Timeout": 10000,
      "IsEDnsEnabled": false,
      "EcsIp": "8.8.8.8",
      "EcsSourceNetmask": 32,
      "EcsScopeNetmask": 0,
      "IsTcpEnabled": true,
      "IsUdpEnabled": true
    },
    {
      "Enable": true,
      "DnsType": 0,
      "Ipv6First": false,
      "DnsServer": "119.29.29.29",
      "Port": 53,
      "Timeout": 10000,
      "IsEDnsEnabled": false,
      "EcsIp": "8.8.8.8",
      "EcsSourceNetmask": 32,
      "EcsScopeNetmask": 0,
      "IsTcpEnabled": true,
      "IsUdpEnabled": true
    },
    {
      "Enable": true,
      "DnsType": 0,
      "Ipv6First": false,
      "DnsServer": "114.114.114.114",
      "Port": 53,
      "Timeout": 10000,
      "IsEDnsEnabled": false,
      "EcsIp": "8.8.8.8",
      "EcsSourceNetmask": 32,
      "EcsScopeNetmask": 0,
      "IsTcpEnabled": true,
      "IsUdpEnabled": true
    },
    {
      "Enable": true,
      "DnsType": 1,
      "Ipv6First": false,
      "DnsServer": "dns.google",
      "Port": 853,
      "Timeout": 10000,
      "IsEDnsEnabled": false,
      "EcsIp": "8.8.8.8",
      "EcsSourceNetmask": 32,
      "EcsScopeNetmask": 0,
      "IsTcpEnabled": true,
      "IsUdpEnabled": true
    },
    {
      "Enable": true,
      "DnsType": 0,
      "Ipv6First": false,
      "DnsServer": "8.8.8.8",
      "Port": 53,
      "Timeout": 10000,
      "IsEDnsEnabled": false,
      "EcsIp": "8.8.8.8",
      "EcsSourceNetmask": 32,
      "EcsScopeNetmask": 0,
      "IsTcpEnabled": true,
      "IsUdpEnabled": true
    }
  ],
  "ServerSubscribes": [],
  "PortMap": {}
}